E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::Store Class Reference

A message store. More...

`#include <gpopstore.h>`

## Public Member Functions
| Store (G::Path spool_dir, bool by_name, bool allow_delete)
| Constructor.
G::Path | dir () const
| Returns the spool directory path.
bool | allowDelete () const
| Returns true if files can be deleted.
bool | byName () const
| Returns true if the spool directory is affected by the user name. More...

## Detailed Description

A message store.

Unlike the SMTP message store the POP message store allows content files to be in the envelope file's parent directory.

Definition at line 45 of file gpopstore.h.

## Member Function Documentation

bool GPop::Store::byName | ( |  | ) | const

Returns true if the spool directory is affected by the user name.

Definition at line 87 of file gpopstore.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopstore.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpop_disabled.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopstore.cpp